<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CustomerMessageSearchRow StructType
 * @subpackage Structs
 */
class CustomerMessageSearchRow extends SearchRow
{
    /**
     * The basic
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CustomerMessageSearchRowBasic
     */
    public $basic;
    /**
     * The userJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\EmployeeSearchRowBasic
     */
    public $userJoin;
    /**
     * Constructor method for CustomerMessageSearchRow
     * @uses CustomerMessageSearchRow::setBasic()
     * @uses CustomerMessageSearchRow::setUserJoin()
     * @param \StructType\CustomerMessageSearchRowBasic $basic
     * @param \StructType\EmployeeSearchRowBasic $userJoin
     */
    public function __construct(\StructType\CustomerMessageSearchRowBasic $basic = null, \StructType\EmployeeSearchRowBasic $userJoin = null)
    {
        $this
            ->setBasic($basic)
            ->setUserJoin($userJoin);
    }
    /**
     * Get basic value
     * @return \StructType\CustomerMessageSearchRowBasic|null
     */
    public function getBasic()
    {
        return $this->basic;
    }
    /**
     * Set basic value
     * @param \StructType\CustomerMessageSearchRowBasic $basic
     * @return \StructType\CustomerMessageSearchRow
     */
    public function setBasic(\StructType\CustomerMessageSearchRowBasic $basic = null)
    {
        $this->basic = $basic;
        return $this;
    }
    /**
     * Get userJoin value
     * @return \StructType\EmployeeSearchRowBasic|null
     */
    public function getUserJoin()
    {
        return $this->userJoin;
    }
    /**
     * Set userJoin value
     * @param \StructType\EmployeeSearchRowBasic $userJoin
     * @return \StructType\CustomerMessageSearchRow
     */
    public function setUserJoin(\StructType\EmployeeSearchRowBasic $userJoin = null)
    {
        $this->userJoin = $userJoin;
        return $this;
    }
}
